
Name:      qubes-mgmt-salt-base
Version:   4.1.0
Release:   1%{?dist}
Summary:   Custom base modules and states that are shared between dom0 and VM.
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt-config
Requires:  qubes-mgmt-salt-base-topd
Requires:  qubes-mgmt-salt-base-config
Requires(post): /usr/bin/qubesctl


Source0: %{name}-%{version}.tar.gz

%description
Custom base modules and states that are shared between dom0 and VM.

%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}

%post
# Update Salt Configuration
qubesctl saltutil.clear_cache -l quiet --out quiet > /dev/null || true
qubesctl saltutil.sync_all refresh=true -l quiet --out quiet > /dev/null || true

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%config(noreplace) /etc/salt/minion.d/qubes_ext_pillar.conf

%attr(750, root, root) %dir /srv/salt/_grains
/srv/salt/_grains/redefined_dom0_grains.py*
/srv/salt/_grains/whonix.py*
/srv/salt/_grains/pci_devs.py*
/srv/salt/_grains/boot_mode.py*

%attr(750, root, root) %dir /srv/salt/_modules
/srv/salt/_modules/debug.py*
/srv/salt/_modules/module_utils.py*
/srv/salt/_modules/qubes.py*

%attr(750, root, root) %dir /srv/salt/_states
/srv/salt/_states/debug.py*
/srv/salt/_states/status.py*

%attr(750, root, root) %dir /srv/salt/_utils
/srv/salt/_utils/__init__.py*
/srv/salt/_utils/nulltype.py*
/srv/salt/_utils/qubes_utils.py*

%attr(750, root, root) %dir /srv/salt/_pillar
/srv/salt/_pillar/qvm_prefs.py*

%changelog
* Sat Mar 23 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt-base

* Sat Mar 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7cac7f6
- version 4.1.0

* Sat Mar 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c566fb7
- travis: update to R4.1

* Sat Mar 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ea18aa9
- rpm: drop dependency on qubes-mgmt-salt-base-overrides*

* Sun Dec 23 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - dfa778c
- Use overrides only with salt version older than 2018.3

* Sun Dec 23 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - 6584416
- Update new path of 'which' and handle legacy

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 38478c1
- version 4.0.3

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 1c29476
- spec.in: add changelog placeholder

* Sun Mar 18 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 7edcee3
- Create .spec.in and Source0

* Sun Oct 08 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ea2b201
- version 4.0.2

* Sun Oct 08 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 07b6ee3
- Follow qubesadmin API change

* Thu Jun 15 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 24bb34e
- version 4.0.1

* Thu Jun 15 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 761b2a6
- Adjust qvm_prefs external pillar to use Admin API cont

* Mon May 22 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dc9098c
- travis: switch to Qubes 4.0

* Sun May 21 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 52bfb99
- Adjust qvm_prefs external pillar to use Admin API

* Sun May 21 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a6add2b
- Fix external pillar installation path

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 62da796
- travis: drop debootstrap workaround

* Wed Nov 30 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1623227
- version 4.0.0

* Fri Sep 02 2016 Bahtiar `kalkin-` Gadimov <bahtiar@gadimov.de> - aab3e15
- qvm-prefs pillar return None for non existing vms

* Sun Aug 28 2016 Bahtiar `kalkin-` Gadimov <bahtiar@gadimov.de> - c0736ca
- Add .pylintrc

* Sun Aug 28 2016 Bahtiar `kalkin-` Gadimov <bahtiar@gadimov.de> - ed366c7
- Update qvm_prefs extension to current API

* Tue Jul 19 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 00b7a9a
- version 3.2.2

* Sat Jul 16 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 06d89d6
- grains: add boot mode grain

* Tue Jun 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8b6fe95
- version 3.2.1

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 45df2fb
- Drop 'state.sls config' calls

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 27f7ea3
- rpm: add missing R: /usr/bin/qubesctl

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d90439d
- travis: initial version

* Wed May 18 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 515ea0f
- version 3.2.0

* Sun May 01 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0199b13
- Add 'qubes' pillar module with selected VM properties

* Thu Jan 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b85f091
- version 3.1.3

* Sat Dec 26 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4b400f7
- Properly quote command before execution

* Sat Dec 26 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3cfbc04
- version 3.1.2

* Fri Dec 25 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 87afcbe
- Merge tag 'jm_d5de198b'

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - d5de198
- utils: qubes_utils - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 8fb4a03
- states: status - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - b23b9d3
- states: debug - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 3428434
- modules: qubes - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - dcb8e49
- modules: module_utils - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 785a67a
- modules: debug - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 8e8c5a9
- grains: whonix - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - b4702e2
- grains: redefined_dom0_grains - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 64e3c8e
- grains: whonix - reformatted

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - fa09a9d
- utils: qubes_utils - reformatted

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 7ccd85b
- states: status - reformatted

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - e9d54d1
- states: debug - reformatted

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 8c2da4a
- modules: qubes - reformatted

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - fa7aebf
- modules: module_utils - reformatted

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 3f9b278
- modules: debug - reformatted

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - c21aad3
- grains: redefined_dom0_grains - reformatted

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - bcf2e3e
- grains: pci_devs - reformatted

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 51e5808
- debian: Fix broken "state.sls config" statement

